<?php

namespace App\Repositories\Webprofile\Sa;

use App\Models\Webprofile\Sa\Pages;
use App\Repositories\Repository;

class PagesRepository extends Repository
{
    public function __construct(Pages $model)
    {
        $this->model = $model;
    }

    public function get()
    {
    }

    public function paginate()
    {
    }

    public function update($data, $page)
    {
        return $this->model->updateOrCreate([
            'page_id' => $page->id,
        ], $data);
    }
}
